## org.apache.lucene.queryParser.core.parser
Interface EscapeQuerySyntax

All Known Implementing Classes:
  EscapeQuerySyntaxImpl

    public interface EscapeQuerySyntax

A parser needs to implement `EscapeQuerySyntax` to allow the QueryNode to escape the queries, when the toQueryString method is called.

Nested Class Summary
`static class` `EscapeQuerySyntax.Type`

Method Summary
`java.lang.CharSequence` `escape(java.lang.CharSequence text, java.util.Locale locale, EscapeQuerySyntax.Type type)`

Method Detail

### escape

    java.lang.CharSequence escape(java.lang.CharSequence text,
                                  java.util.Locale locale,
                                  EscapeQuerySyntax.Type type)

  Parameters:
    `text` - - text to be escaped
    `locale` - - locale for the current query
    `type` - - select the type of escape operation to use
  Returns:
    escaped text

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.